Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 405411 - media-libs/svgalib-1.9.25-r2 revision bump
Summary: media-libs/svgalib-1.9.25-r2 revision bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 339873 341393 344663 402831
  Show dependency tree
 
Reported: 2012-02-23 11:35 UTC by Pacho Ramos
Modified: 2012-03-03 12:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
svgalib-ebuild.tar.xz (svgalib.tar.xz,12.92 KB, application/octet-stream)
2012-02-27 19:54 UTC, Pacho Ramos
Details
svgalib-1.9.25-r1.patch (svgalib-1.9.25-r1.patch,1.29 KB, patch)
2012-02-29 17:24 UTC, Andrew Savchenko
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2012-02-23 11:35:37 UTC
As I cannot test this myself due svgalib not building at all on amd64, I will put here ebuild+patches to let users try if it works and fixes current problems and commit if possible

Reproducible: Always
Comment 1 Pacho Ramos gentoo-dev 2012-02-27 19:54:29 UTC
Created attachment 303529 [details]
svgalib-ebuild.tar.xz
Comment 2 Roger 2012-02-27 22:57:20 UTC
Builds fine here on x86, with the exception of the four "QA Notice:" listed at the end of the emerge.
Comment 3 Pacho Ramos gentoo-dev 2012-02-28 07:52:31 UTC
(In reply to comment #2)
> Builds fine here on x86, with the exception of the four "QA Notice:" listed
> at the end of the emerge.

What does that QA message say?
Comment 4 Andrew Savchenko gentoo-dev 2012-02-29 17:20:59 UTC
These are QA about implicit function declarations:

 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * eventtest.c:57:2: warning: implicit declaration of function ‘time’
 * eventtest.c:60:6: warning: implicit declaration of function ‘ctime’
 * bg_test.c:53:2: warning: implicit declaration of function ‘strcmp’
 * vgatweak.c:127:2: warning: implicit declaration of function ‘exit’


 * QA Notice: Package triggers severe warnings which indicate that it
 *            may exhibit random runtime failures.
 * vgatweak.c:127:2: warning: incompatible implicit declaration of built-in function ‘exit’

This is just a lack of
#include <time.h>
#include <string.h>
#include <unistd.h>
at various places. Nothing serious and trivial to fix. Though I doubt this should be fixed in Gentoo: these changes will not affect program runtime experience, they will just silence QA.

Otherwise it seems to work well.

By the way, tarball contains some unneeded old patches.
Comment 5 Andrew Savchenko gentoo-dev 2012-02-29 17:24:59 UTC
Created attachment 303749 [details, diff]
svgalib-1.9.25-r1.patch

This is a patch on top of the ebuild from tarball above.
It should fix bug 339873 respecting system LDFLAGS.
Another small change is fixed copyright year to satisfy repoman.
Comment 6 Pacho Ramos gentoo-dev 2012-02-29 19:38:36 UTC
(In reply to comment #4)
> These are QA about implicit function declarations:
> 
>  * QA Notice: Package triggers severe warnings which indicate that it
>  *            may exhibit random runtime failures.
>  * eventtest.c:57:2: warning: implicit declaration of function ‘time’
>  * eventtest.c:60:6: warning: implicit declaration of function ‘ctime’
>  * bg_test.c:53:2: warning: implicit declaration of function ‘strcmp’
>  * vgatweak.c:127:2: warning: implicit declaration of function ‘exit’
> 
> 
>  * QA Notice: Package triggers severe warnings which indicate that it
>  *            may exhibit random runtime failures.
>  * vgatweak.c:127:2: warning: incompatible implicit declaration of built-in
> function ‘exit’
> 
> This is just a lack of
> #include <time.h>
> #include <string.h>
> #include <unistd.h>
> at various places. Nothing serious and trivial to fix. Though I doubt this
> should be fixed in Gentoo: these changes will not affect program runtime
> experience, they will just silence QA.
> 

Fine, if you have time, could you provide a patch for it also (I will commit when I am able anyway, but if that can be also fixed, it would be even better :))

> Otherwise it seems to work well.
> 
> By the way, tarball contains some unneeded old patches.

What patches can be dropped?

Thanks
Comment 7 Pacho Ramos gentoo-dev 2012-03-03 12:38:49 UTC
*svgalib-1.9.25-r2 (03 Mar 2012)

  03 Mar 2012; Pacho Ramos <pacho@gentoo.org>
  +files/svgalib-1.9.25-build2.patch,                                     
  +files/svgalib-1.9.25-fPIC.patch, +files/svgalib-1.9.25-linux2.6.36-r1.patch,
  +files/svgalib-1.9.25-segfault.patch, +svgalib-1.9.25-r2.ebuild:
  Respect LDFLAGS (bug #339873 by Andrew Savchenko), install svgalib_helper.h
  (bug #341393 by Andrew Savchenko), fix build with recent kernels (bug #344663
  by Rene Hertell), fix segfault (bug #402831 by O.Sezer).

Anyway, this package needs a maintainer to get things fixed sooner. I can be your proxy maintainer if you want:
http://www.gentoo.org/proj/en/qa/proxy-maintainers/index.xml